JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.notifications.getPreferences();
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.notifications.get_preferences()
print(response.data)curl --request GET \
--url https://api.mobilerun.ai/v1/notifications/preferences \
--header 'Authorization: Bearer <token>'
{
"data": {
"mutedTypes": [
"workflow.run.running",
"task.run.running"
]
}
}Notifications
Get notification preferences
Returns your current notification preferences, expressed as the list of event types you have muted. An empty list means notifications are enabled for all notifiable event types.
GET
/
notifications
/
preferences
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.notifications.getPreferences();
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.notifications.get_preferences()
print(response.data)Was this page helpful?
⌘I